# Escrow Payment

## Escrow

The Request Network Escrow isn't a separate payment network. Rather, it builds on top of the `ERC20_FEE_PROXY_CONTRACT` payment network.

## Typical Workflow

1. Using the [`request-client.js`](https://github.com/RequestNetwork/docs.request.network/blob/main/docs/advanced/request-network-sdk/sdk-api-reference/request-client.js) package, the `payer` creates a request with the `ERC20_FEE_PROXY_CONTRACT` payment network.
2. Using the [`payment-processor`](/advanced/request-network-sdk/sdk-api-reference/payment-processor.md) package, `payer`:
   1. Approves the escrow contract using `approveErc20ForEscrow()`
   2. Pays the escrow contract using `payEscrow()`
   3. Waits until the work is complete
   4. Pays the payee from the Escrow contract using `payRequestFromEscrow()`

These steps are shown by our unit tests:

<https://github.com/RequestNetwork/requestNetwork/blob/master/packages/payment-processor/test/payment/erc20-escrow-payment.test.ts#L200-L339>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy.docs.request.network/advanced/request-network-sdk/sdk-guides/payment/escrow-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
